libsecret (0.20.4-2) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Annotate Python build depends with <!nocheck>
    These dependencies are not satisfiable when cross-building, but
    they're only needed for testing. (Closes: #981258)

  [ Simon McVittie ]
  * Simplify python3-dbus dependency.
    We no longer need to avoid the regression in 1.2.10, because it has
    not been current in any suite for a long time.
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 13:46:00 +0000

libsecret (0.20.4-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Dec 2020 15:21:26 +0100

libsecret (0.20.3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Disable the parallel execution of the tests.
    That should reduce the likeliness of race conditions in them

 -- Laurent Bigonville <bigon@debian.org>  Fri, 24 Apr 2020 12:17:12 +0200

libsecret (0.20.2-2) unstable; urgency=medium

  * Only BD on gjs on architectures where it's successfully built (aka release
    architectures)
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Regenerate the documentation during the build and add libglib2.0-doc to
    the BD

 -- Laurent Bigonville <bigon@debian.org>  Fri, 24 Apr 2020 08:44:19 +0200

libsecret (0.20.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Mar 2020 09:31:07 +0100

libsecret (0.20.1-1) unstable; urgency=medium

  * New upstream release
  * debian/tests:
    - make autopkgtests cross-test-friendly.
  * debian/libsecret-1-0.symbols:
    - updated for the symbols added in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Feb 2020 13:42:03 +0100

libsecret (0.19.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libsecret-1.0.symbols: Add new symbols
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Drop patches cherry-picked from 0.19
  * Refresh 0004-tests-collection-add-setup-delay.patch

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 26 Sep 2019 06:38:13 -0400

libsecret (0.18.8-2) unstable; urgency=medium

  * Team upload
  * d/p/build-Drop-TAP-wrapper-script-around-GLib-tests.patch,
    d/p/build-Use-stock-tap-driver-from-automake.patch:
    Apply patches from 0.19.x to fix FTBFS with GLib 2.62
    (Closes: #940086)
  * Build-depend on a python3-dbus with #940087 fixed
  * d/tests/libsecret-1-dev: Add a superficial build-test
  * Standards-Version: 4.4.0 (no changes required)
  * Set Rules-Requires-Root to no
  * Use debhelper-compat 12
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Sep 2019 11:50:23 +0100

libsecret (0.18.8-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libglib2.0-dev to 2.44.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Mar 2019 08:55:40 -0400

libsecret (0.18.7-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete Build-Depends on intltool

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 29 Dec 2018 09:39:11 -0500

libsecret (0.18.6-4) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Run dh_auto_test instead of make check
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 08:56:05 -0500

libsecret (0.18.6-3) unstable; urgency=medium

  * Don't Build-Depend on gjs on s390x and stop running js tests there
    in preparation for removing gjs on s390x (#909536) (LP: #1794721)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Sep 2018 14:46:00 -0400

libsecret (0.18.6-2) unstable; urgency=medium

  * debian/rules: fix logic error in nocheck handling (Closes: #897596)
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 03 May 2018 08:29:15 -0400

libsecret (0.18.6-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Drop patches included in new release
  * debian/libsecret-1-0.symbols: update for new symbols

 -- Tim Lunn <tim@feathertop.org>  Sat, 31 Mar 2018 16:43:19 +1100

libsecret (0.18.5-6) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Drop autopkgtest that only rebuilds and re-runs the build tests
    we already run during build

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 31 Jan 2018 14:28:23 -0500

libsecret (0.18.5-5) unstable; urgency=medium

  * debian/rules:
    - Don't run Python and Vala tests on Ubuntu's s390x since
      they hang on Launchpad's builders
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 17:36:24 -0500

libsecret (0.18.5-4) unstable; urgency=medium

  * debian/control.in:
    - Build-Depend on libgcrypt20-dev instead of transitional package
      (Closes: #864119)
  * Bump debhelper compat to 10
  * Enable all hardening flags
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Oct 2017 13:39:52 -0400

libsecret (0.18.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0004-tests-collection-add-setup-delay.patch:
    + Fix failing test "collection/delete-sync" by correctly placing
      the delay. Closes: #855951.

 -- Carsten Leonhardt <leo@debian.org>  Sat, 18 Mar 2017 15:56:31 +0000

libsecret (0.18.5-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add basic autopkgtest to run upstream build tests

  [ Emilio Pozuelo Monfort ]
  * debian/patches/0004-tests-collection-add-setup-delay.patch:
    + Add some delay for the test bus to go up and down. Fixes a test
      that otherwise may fail, especially when running on a single cpu
      machine. Closes: #837067.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 21 Feb 2017 22:57:01 +0100

libsecret (0.18.5-2) unstable; urgency=medium

  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.
  * Compile vala unstable tests with SECRET_WITH_UNSTABLE=1.
    Without this the generated C code compiles without the correct header
    (warnings are disabled so this is not obvious). This was causing the test
    to crash. (Closes: #821347)

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Sep 2016 12:16:44 +0200

libsecret (0.18.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.
  * Replace Build-Depends on python-dbus and python-gobject with python3-dbus
    and python3-gi following the upstream port to Python 3 and modern
    pygobject.
  * Port remaining tests to Python 3. Patches cherry-picked from upstream Git.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Apr 2016 01:20:15 +0200

libsecret (0.18.4-1) unstable; urgency=medium

  * New upstream release.
  * Run test suite during build
    - Add Build-Depends on dbus and gjs.
    - Use dbus-run-session to run the test suite as some of the tests require
      a D-Bus session.
    - Unset LD_PRELOAD when running the test suite as most tests fail when run
      under fakeroot.

 -- Michael Biebl <biebl@debian.org>  Mon, 25 Jan 2016 01:05:58 +0100

libsecret (0.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Aug 2015 15:58:33 +0200

libsecret (0.18.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Bump gtk-doc-tools build-dep to >= 1.9

  [ Iain Lane ]
  * Lower Breaks version to seahorse (<< 3.10), as the API port happened in
    this version.

  [ Michael Biebl ]
  * New upstream release.
  * Install typelib files into multiarch paths.
  * Mark gir and dev packages as Multi-Arch: same.
  * Update Homepage: URL.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Fix invalid short name for BSD license in debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 May 2015 01:22:33 +0200

libsecret (0.18-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * debian/rules:
    - Build with --disable-silent-rules for a useful build log
  * Update homepage

  [ Michael Biebl ]
  * New upstream release (0.16).
  * Refresh patches.

  [ Jackson Doak ]
  * debian/control:
    - Improve description of libsecret-tools. Closes: #711475

  [ Andreas Henriksson ]
  * New upstream release (0.18)
  * Bump glib build-dependency to >= 2.38.0 according to configure.ac
  * Drop debian/patches, both patches obsolete.
    - debian/patches/dont_run_gjs_tests.patch
    - debian/patches/introspection-dir.patch
  * Bump Standards-Version to 3.9.5
  * Update debian/libsecret-1-0.symbols
    - Missing secret_service_new* symbols...
    - See https://git.gnome.org/browse/libsecret/commit/?id=1758194f26a41
    - "The _new() suffix confuses vala and gobject introspection [...]
       This is an API/API break, but its to the portion of the library
       marked as unstable. [...]"
    - Also adds several new symbols
  * Add "Breaks: seahorse (<< 3.12)" to libsecret-1-0 to handle above.
  * Install Secret g-i typelib file from multiarch path.
  * debian/rules: quote the wildcard argument of find to avoid premature exp.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 23 Mar 2014 20:43:29 +0100

libsecret (0.15-2) unstable; urgency=low

  * Upload to unstable.
  * Don't hard-code dpkg in Pre-Depends but use ${misc:Pre-Depends} instead.
  * Add Vcs-* fields.
  * Drop alternative Build-Depends on valac-0.18. No longer required since
    valac is now recent enough.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 24 May 2013 17:34:58 +0200

libsecret (0.15-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 24 Mar 2013 13:27:34 +0100

libsecret (0.14-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * debian/control:
    - Add multiarch annotations and pre-depends

  [ Andreas Henriksson ]
  * New upstream release.
  * Update debian/libsecret-1-0.symbols: added SECMEM_pool_data_v1_0@Base 0.14

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 16 Mar 2013 14:53:57 +0100

libsecret (0.11-1) experimental; urgency=low

  * New upstrema release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 02 Nov 2012 22:10:15 +0100

libsecret (0.10-1) experimental; urgency=low

  * Upload to Debian

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 05 Oct 2012 20:59:47 +0200

libsecret (0.9-0ubuntu3) quantal; urgency=low

  * debian/control:
    - Build-depend on gtk-doc-tools instead of xsltproc
    - Don't explicitly build-depend on gir1.2-glib-2.0
    - Add homepage
  * debian/libsecret-1-dev.install: Install vapi files

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Aug 2012 00:05:09 -0400

libsecret (0.9-0ubuntu2) quantal; urgency=low

  * debian/control: Build-Depends on xsltproc

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 20 Aug 2012 18:24:52 +0200

libsecret (0.9-0ubuntu1) quantal; urgency=low

  * New upstream version
  * debian/libsecret-tools.install:
    - install the manpage
  * debian/patches/copying-test.patch:
    - dropped, the fix is in the new version
  * debian/patches/git_test_issue.patch:
    - dropped, the fix is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 20 Aug 2012 17:32:50 +0200

libsecret (0.8-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Build-Depends on dbus-test-runner, python-dbus, python-gobject
  * debian/patches/dont_run_gjs_tests.patch:
    - don't run gjs tests since gjs is in universe
  * debian/rules:
    - enable tests but don't fail build on issues yet, there are issues
      when running them under fakeroot for example (dbus doesn't like it)
  * debian/copyright: drop reference to common-license BSD
    (lintian warning)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 07 Aug 2012 16:43:10 +0200

libsecret (0.8-0ubuntu1) quantal; urgency=low

  * New upstream version
  * Install libsecret-unstable dev files as well
  * debian/control:
    - updated some descriptions
  * debian/copyright:
    - updated
  * debian/libsecret-1-dev.install:
    - install the documentation
  * debian/libsecret-1-0.symbols:
    - updated for the new version
  * debian/patches/git_test_issue.patch:
    - git patch to fix a testsuite issue
  * debian/patches/copying-test.patch:
    - include COPYING.TESTS in the source (issue fixed in git)
  * debian/rules:
    - update test target but keep it commented, the dbus tests refuse
      to work during the package build (but works fine run manually)
    - clean files that are not shipped in binaries for --list-missing
    - override dh_install with --list-missing
    - use gir helper so Depends are right

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 11:49:10 +0200

libsecret (0.7-0ubuntu1) quantal; urgency=low

  * Initial Release. (LP: #1018630)

 -- Robert Ancell <robert.ancell@canonical.com>  Sat, 28 Jul 2012 17:51:13 +0200
